MSGPRE(1)

NAME
msgpre - pretranslate a message catalog

SYNOPSIS
msgpre [OPTION...]

DESCRIPTION

Pretranslates a translation catalog.

Warning: The pretranslations might not be what you expect. They might be of the wrong form, be of poor quality, or reflect some biases.

Mandatory arguments to long options are mandatory for short options too.

  Input file location:

-i, --input=INPUTFILE
    input PO file

-D, --directory=DIRECTORY
    add DIRECTORY to list for input files search

If no input file is given or if it is -, standard input is read.

  Output file location:

-o, --output-file=FILE
    write output to specified file

The results are written to standard output if no output file is specified or if it is -.

  Message selection:

--keep-fuzzy
    Keep fuzzy messages unmodified. Pretranslate only untranslated messages.

  Large Language Model (LLM) options:

--species=TYPE
    Specifies the type of LLM. The default and only valid value is 'ollama'.

--url=URL
    Specifies the URL of the server that runs the LLM.

-m, --model=MODEL
    Specifies the model to use.

--prompt=TEXT
    Specifies the prompt to use before standard input.

--postprocess=COMMAND
    Specifies a command to post-process the output.

  Input file syntax:

-P, --properties-input
    input file is in Java .properties syntax

--stringtable-input
    input file is in NeXTstep/GNUstep .strings syntax

  Output details:

--color
    use colors and other text attributes always

--color=WHEN
    use colors and other text attributes if WHEN. WHEN may be 'always', 'never', 'auto', or 'html'.

--style=STYLEFILE
    specify CSS style rule file for --color

--force-po
    write PO file even if empty

--indent
    indented output style

--no-location
    suppress '#: filename:line' lines

-n, --add-location
    preserve '#: filename:line' lines (default)

--strict
    strict Uniforum output style

-p, --properties-output
    write out a Java .properties file

--stringtable-output
    write out a NeXTstep/GNUstep .strings file

-w, --width=NUMBER
    set output page width

--no-wrap
    do not break long message lines, longer than the output page width, into several lines

-s, --sort-output
    generate sorted output

-F, --sort-by-file
    sort output by file location

  Informative output:

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-q, --quiet, --silent
    suppress progress indicators

AUTHOR
Written by Bruno Haible.

REPORTING BUGS
Report bugs in the bug tracker at <https://savannah.gnu.org/projects/gettext> or by email to <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2026 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for msgpre is maintained as a Texinfo manual. If the info and msgpre programs are properly installed at your site, the command

    info msgpre

should give you access to the complete manual.